#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d", &n);
    int tabla[n][n], i, a[n], b[n], t;
    for(i=0;i<n;i++)
            scanf("%d %d", &a[i], &b[i]);
    if(n==1)
    {
        t=0;
    }
    else
    {
        i=1;
        if(a[i-1]==a[i] || b[i-1]==b[i])
            t=1;
        else
            t=0;
    }
    printf("%d", t);
    return 0;
}